Bug 65204 - RFE: Include MailScanner & SpamAssassin in future RHL releases
Summary: RFE: Include MailScanner & SpamAssassin in future RHL releases
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL: http://www.sng.ecs.soton.ac.uk/mailsc...
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-20 08:25 UTC by Oliver Jones
Modified: 2007-04-18 16:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-11 00:12:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Jones 2002-05-20 08:25:30 UTC
To improve RedHat's product I suggest you include a tool such as "MailScanner".
 This is a good tool for scanning incoming mail for viruses and spam.  It
doesn't do any of the scanning itself it instead relies on 'plug-in' virus
scanners such as Sophos, McAfee, AVP etc.  It can also interface with
SpamAssasin to catch SPAM.
Having a tool like this enabled by default raises the value of RHL relative to
your competition.

Comment 1 Warren Togami 2002-05-22 10:29:59 UTC
I agree.  Sendmail Milter or Postfix filter "out of the box" SPAM filtering
capability would be very nice indeed.

Or at a very minimum, please include additional CPAN RPM's so installation of
MailScanner, SpamAssasin and Ripul's Razor is much easier.

Comment 2 Florian La Roche 2002-05-31 09:57:22 UTC
SpamAssassin should be easy to install on top of Red Hat Linux 7.3.
What further CPAN stuff is missing?

Thanks,

Florian La Roche


Comment 3 Warren Togami 2002-06-08 10:05:25 UTC
Can the following perl CPAN modules be included in future versions of Red Hat?

  http://www.spamassassin.org/
  Mail::SpamAssassin
  Net::DNS

  http://search.cpan.org/doc/SIMON/Mail-Audit-2.1/Audit/Razor.pm
  Mail::Audit
  Mail::Audit::Razor
  Razor::Agent
  Razor::Client

Comment 4 Jean Berthomieu 2002-06-16 07:55:03 UTC
I strongly agree!
Many Linux computers are used as mail servers. Our main concern with them is to 
trim down spam and MS virus. A good, (eventually external) filter would be of 
great help.

Comment 5 Panu Matilainen 2002-06-27 08:44:59 UTC
"Me too" - SpamAssassin or similar would be really nice to have included in the
distribution.

Comment 6 Florian La Roche 2002-06-27 12:20:13 UTC
If future public beta versions look good, SpmaAssassin will be included.
We haven't yet decided on Razor yet.

greetings and thanks,

Florian La Roche


Comment 7 Warren Togami 2002-07-02 11:08:35 UTC
This may be helpful when Red Hat decides to add SpamAssassin to the distro.  RPM
packages including an SRPM for reference.
http://www.hughes-family.org/spamassassin/

Comment 8 Fred Krogh 2002-07-11 00:12:32 UTC
Just tried to install spamassassin-2.31-8.i386.rpm that has a build date of June
28 for RedHat Rawhide.  Gave up in tracking down dependencies at rpmfind.  (No
trouble getting perl-Net-DNS-0.23-4, but the rest eluded me.)  This is a
suggestion that when posting RPM's like this that one verifies that the required
RPM's are either likely on a user's system, or are available at rpmfind or some
place else that might be mentioned.  I'm running at "up2date" RedHat 7.3 system.

Comment 9 Florian La Roche 2002-11-03 21:09:22 UTC
spamassassin is included now

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.